> ## Documentation Index
> Fetch the complete documentation index at: https://docs.genai.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Deliveries

> Lists of [Deliveries](/core-resources/delivery) from a [Project](/core-resources/project).

<Accordion title="Authentication" icon="key">
  Every request sent to Scale's API requires authentication. In short, your API Key is the Bearer token. See the [Authentication](/get-started/authentication) section for more details.
</Accordion>

<Tip>
  ### Required query parameters

  You are expected to provide one of the following to find deliveries:

  * `project_id` - The ID of the Scale project.
  * `project_name` - The name of the Scale project.
</Tip>


## OpenAPI

````yaml GET /v2/deliveries
openapi: 3.1.0
info:
  title: GenAI API Spec
  description: 'Data Engine: Generative AI API Specification'
  version: 0.0.1
servers:
  - url: https://api.scale.com
security:
  - bearerAuth: []
  - basicAuth: []
paths:
  /v2/deliveries:
    get:
      tags:
        - v2
      summary: List All Deliveries
      description: >-
        Lists of [Deliveries](/core-resources/delivery) from a
        [Project](/core-resources/project).
      operationId: getDeliveries
      parameters:
        - $ref: '#/components/parameters/project_id'
        - $ref: '#/components/parameters/project_name'
        - $ref: '#/components/parameters/delivered_after'
        - $ref: '#/components/parameters/delivered_before'
        - $ref: '#/components/parameters/expand_deliveries'
      responses:
        '200':
          description: List of deliveries.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDeliveriesResponse'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status_code:
                    type: number
                    example: 500
                  error:
                    type: string
                    example: An error has occurred.
      x-codeSamples:
        - lang: python
          label: Python SDK
          source: |
            import scaleapi

            API_KEY = 'live_...'
            client = scaleapi.ScaleClient(API_KEY)

            PROJECT_ID = 'abc123'
            response = client.v2.get_deliveries(project_id=PROJECT_ID)
            print(response.to_json())
        - lang: python
          label: Python
          source: |
            import requests

            API_KEY = 'live_...'
            PROJECT_ID = 'abc123'

            response = requests.request(
              "GET",
              url="https://api.scale.com/v2/deliveries",
              params={"project_id": PROJECT_ID},
              headers={
                "Accept": "application/json",
                "Authorization": f"Bearer {API_KEY}",
              },
            )
            print(response.json())
components:
  parameters:
    project_id:
      name: project_id
      in: query
      required: false
      description: Scale's unique identifier for the project.
      schema:
        $ref: '#/components/schemas/ProjectId'
    project_name:
      name: project_name
      in: query
      required: false
      description: The name of the project.
      schema:
        $ref: '#/components/schemas/ProjectName'
    delivered_after:
      name: delivered_after
      in: query
      required: false
      description: >-
        Deliveries with a `delivered_at` after the given date will be returned.
        A timestamp formatted as an ISO 8601 date-time string.
      schema:
        $ref: '#/components/schemas/DateString'
    delivered_before:
      name: delivered_before
      in: query
      required: false
      description: >-
        Deliveries with a `delivered_at` before the given date will be returned.
        A timestamp formatted as an ISO 8601 date-time string.
      schema:
        $ref: '#/components/schemas/DateString'
    expand_deliveries:
      name: expand
      in: query
      required: false
      description: >-
        List of fields to [expand](/api-reference/expanding-entities) in the
        response.
      schema:
        $ref: '#/components/schemas/ExpandDeliveries'
  schemas:
    GetDeliveriesResponse:
      type: object
      required:
        - deliveries
      properties:
        deliveries:
          $ref: '#/components/schemas/Deliveries'
    ProjectId:
      type: string
      description: A unique identifier for the project.
      example: project_abc123
    ProjectName:
      type: string
      description: The name of the project.
      example: My Scale Project
    DateString:
      type: string
      format: date-time
      description: A timestamp formatted as an ISO 8601 date-time string.
    ExpandDeliveries:
      type: array
      description: >-
        Entities that can be [expanded](/api-reference/expanding-entities) from
        an ID to an object.
      items:
        $ref: '#/components/schemas/ExpandableEnumDeliveries'
    Deliveries:
      type: array
      description: Array of delivery objects
      items:
        $ref: '#/components/schemas/Delivery'
    ExpandableEnumDeliveries:
      type: string
      description: Entities that can be expanded from an ID to an object.
      enum:
        - project
    Delivery:
      type: object
      required:
        - id
        - name
        - task_count
        - delivered_at
        - project
      properties:
        id:
          $ref: '#/components/schemas/DeliveryId'
          description: Unique identifier for the delivery.
        name:
          $ref: '#/components/schemas/DeliveryName'
          description: The name of the delivery.
        task_count:
          $ref: '#/components/schemas/DeliveryTaskCount'
          description: The number of tasks in the delivery.
        delivered_at:
          $ref: '#/components/schemas/DateString'
          description: UTC timestamp when the delivery was created.
        project:
          $ref: '#/components/schemas/ExpandableProject'
          description: >-
            Project ID or [Project](/core-resources/project) associated with the
            delivery.
    DeliveryId:
      type: string
      description: A unique identifier for the delivery.
      example: delivery_abc123
    DeliveryName:
      type: string
      description: The name of the delivery.
      example: My Scale Delivery
    DeliveryTaskCount:
      type: integer
      description: The number of tasks in the delivery.
      example: 1000
    ExpandableProject:
      description: >-
        Project ID or [Project](/core-resources/project) associated with the
        task.
      oneOf:
        - $ref: '#/components/schemas/ProjectId'
        - $ref: '#/components/schemas/Project'
    Project:
      type: object
      required:
        - id
        - name
        - created_at
      properties:
        id:
          $ref: '#/components/schemas/ProjectId'
          description: Unique identifier for the project
        name:
          $ref: '#/components/schemas/ProjectName'
        created_at:
          $ref: '#/components/schemas/DateString'
        types:
          type: array
          description: List of project types associated with the project.
          items:
            $ref: '#/components/schemas/GenAIProjectType'
          example:
            - 'RLHF: Pref Ranking'
        models:
          type: array
          description: List of models associated with the project.
          items:
            $ref: '#/components/schemas/Model'
          example:
            - gpt-4
            - my-model-123
    GenAIProjectType:
      type: string
      enum:
        - SFT
        - 'RLHF: Pref Ranking'
        - 'RLHF: Pref Ranking with Rewrites'
        - 'RLVR: Reinforcement Learning with Verifiable Rewards'
        - Rubrics
        - Process Supervision
        - Evals
        - Prompt Generation
        - Content Understanding
        - Other
    Model:
      type: string
      description: The name of the model that generated the message.
      example: my-model-123
  securitySchemes:
    bearerAuth:
      description: >-
        Your API Key is the Bearer token. See the
        [Authentication](/get-started/authentication) section to learn how to
        access your key.
      type: http
      scheme: bearer
    basicAuth:
      description: >-
        Basic HTTP Authentication. Your API Key is your username.  Learn more
        about setting up Authentication [here](/get-started/authentication).
      type: http
      scheme: basic

````